curl --request POST \
--url https://api.agents.slng.ai/v1/agents/mcp-servers/{server_id}/connect \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agents.slng.ai/v1/agents/mcp-servers/{server_id}/connect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agents.slng.ai/v1/agents/mcp-servers/{server_id}/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "connected",
"latency_ms": 142,
"server_info": {
"name": "example-mcp"
},
"protocol_version": "2025-06-18",
"capabilities": {
"tools": [
{
"name": "search",
"description": "Search the crawl index",
"input_schema": {
"type": "object"
},
"schema_hash": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"
}
],
"truncated": false,
"pages_fetched": 1
},
"events": [
{
"direction": "sent",
"method": "initialize",
"ts": "2026-08-01T12:00:00Z",
"summary": "Opened connection"
}
]
}{
"detail": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"fields": [
{}
]
}
}{
"detail": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"fields": [
{}
]
}
}{
"detail": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"fields": [
{}
]
}
}{
"detail": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"fields": [
{}
]
}
}{
"detail": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"fields": [
{}
]
}
}{
"detail": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"fields": [
{}
]
}
}{
"detail": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"retryable": true,
"fields": [
{}
]
}
}Connect MCP Server
Open a live connection to the MCP server and refresh its stored capabilities and tool list. Returns a ConnectResult with the connection status, round-trip latency, reported server info, protocol version, discovered tools, an event log, and any error. Secret values are scrubbed from the result.
Authorizations
Your SLNG consumer API key.
Path Parameters
UUID of the MCP server to probe. A server in another organisation or one that is soft-deleted returns 404.
Response
The connection probe result.
Outcome of a live connection probe, including the connection status, round-trip latency, reported server info and protocol version, discovered capabilities, an ordered event log, and any error. Secret values are scrubbed.
connected, failed Tools discovered from the MCP server, with flags for whether discovery was truncated and how many pages were fetched.
Show child attributes
Show child attributes
Show child attributes
Show child attributes